package io.gisbi.datasource.provider;

import io.gisbi.datasource.dao.auto.entity.CoreDeEngine;
import io.gisbi.datasource.server.DatasourceServer;
import io.gisbi.extensions.datasource.dto.TableField;

import java.util.List;

/**
 * @Author bi-coder
 * @Date 2021/5/17 4:19 下午
 */
public abstract class EngineProvider {
    public abstract String createView(String name, String viewSQL);

    public abstract String dropTable(String name);

    public abstract String dropView(String name);

    public abstract String replaceTable(String name);

    public abstract String createTableSql(String name, List<TableField> tableFields, CoreDeEngine engine);

    public abstract String insertSql(String dsType, String tableName, DatasourceServer.UpdateType extractType, List<String[]> dataList, int page, int pageNumber, List<TableField> tableFields);


}
